Subject: bug#13832: Tests fail because make runs with more than one jobs

From: "Joshua C." <[email-masked]>
Date: Fri, 26 Apr 2013 15:22:23 +0200

2013/4/26 Stefano Lattarini <[email-masked]>:
> On 04/26/2013 12:57 PM, Joshua C. wrote:
>> 2013/4/25 Stefano Lattarini <[email-masked]>:
>>> On 04/20/2013 10:52 PM, Stefano Lattarini wrote:
>>>> Reference:
>>>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13832>
>>>>
>>>> Hi Joshua, sorry again for the shameful delay.
>>>>
>>>> Can you check whether the attached patch solves the failure you've been
>>>> experiencing with the test 't/ar-lib4.sh'?
>>>>
>>> Ping on this?
>>>
>>> Regards,
>>>   Stefano
>>>
>>
>> I'm sorry for the delay... (was on vacation)
>>
> No worries, I just thought my answer could have been lost in the
> cracks.
>
>> I tried the patch but it couldn't fix the issue. I continue frequently
>> to fail the test.
>>
> :-(
>
> Does the attached patch (to be applied to 'branch-1.13.2' branch)
> fares any better?
>
>> [SNIP]
>
> Thanks,
>   Stefano

It looks like you nailed this down! I couldn't fail the test in 10
consecutive runs. I'll say this patch fixed it.

--joshua